Name:		xmag
Version:	1.0.8
Release:	%mkrel 2
Summary:	Magnify parts of the screen
Group:		Development/X11
License:	MIT
Source:		https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
Source1:	xmag.xpm
Source2:	xmag.xpm.large
Source3:	xmag.xpm.mini
BuildRequires:	pkgconfig(xt) >= 1.0.0
BuildRequires:	pkgconfig(xaw7) >= 1.0.1
BuildRequires:	x11-util-macros >= 1.0.1

%description
The xmag program allows you to magnify portions of an X screen.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

# install icons
mkdir -p %{buildroot}%{_datadir}/icons/large
mkdir -p %{buildroot}%{_datadir}/icons/mini

install -m0644 %{SOURCE1} %{buildroot}%{_datadir}/icons/xmag.xpm
install -m0644 %{SOURCE2} %{buildroot}%{_datadir}/icons/large/xmag.xpm
install -m0644 %{SOURCE3} %{buildroot}%{_datadir}/icons/mini/xmag.xpm

%files
%{_bindir}/xmag
%{_datadir}/X11/app-defaults/Xmag
%{_mandir}/man1/xmag.1*
%{_datadir}/icons/xmag.xpm
%{_datadir}/icons/*/xmag.xpm


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 1.0.8-2.mga10
+ Revision: 2230393
- Mageia 10 Mass Rebuild

* Fri Nov 29 2024 daviddavid <daviddavid> 1.0.8-1.mga10
+ Revision: 2119754
- new version: 1.0.8

* Thu Jul 21 2022 tv <tv> 1.0.7-1.mga9
+ Revision: 1869794
- 1.0.7

* Thu Mar 31 2022 umeabot <umeabot> 1.0.6-4.mga9
+ Revision: 1835990
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.0.6-3.mga8
+ Revision: 1518820
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.0.6-2.mga7
+ Revision: 1301931
- Mageia 7 Mass Rebuild

* Thu Dec 15 2016 luigiwalser <luigiwalser> 1.0.6-1.mga6
+ Revision: 1075516
- 1.0.6

* Fri Feb 05 2016 umeabot <umeabot> 1.0.5-5.mga6
+ Revision: 937955
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.5-4.mga5
+ Revision: 745386
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.5-3.mga5
+ Revision: 690688
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.5-2.mga4
+ Revision: 521912
- Mageia 4 Mass Rebuild

* Thu Jan 31 2013 luigiwalser <luigiwalser> 1.0.5-1.mga3
+ Revision: 393618
- 1.0.5

* Mon Jan 14 2013 umeabot <umeabot> 1.0.4-2.mga3
+ Revision: 387104
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 ennael <ennael> 1.0.4-1.mga1
+ Revision: 27859
- imported package xmag


* Tue Nov 02 2010 Thierry Vignaud <tv@mandriva.org> 1.0.4-1mdv2011.0
+ Revision: 592499
- new release

* Thu Nov 12 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.0.3-1mdv2010.1
+ Revision: 465414
- Remove patch1 (already integrated)

  + Thierry Vignaud <tv@mandriva.org>
    - new release

* Mon Apr 13 2009 Funda Wang <fwang@mandriva.org> 1.0.2-5mdv2009.1
+ Revision: 366702
- no more autoconf needed

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.0.2-4mdv2009.0
+ Revision: 266117
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 16 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.2-3mdv2009.0
+ Revision: 194811
- Properly handle multiple depth windows.
- Revert to use upstream tarball, build requires and remove non mandatory local patches.

* Thu Jan 17 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.2-2mdv2008.1
+ Revision: 154426
- Updated BuildRequires and resubmit package.
- Choose default Xaw from xaw.m4 unless configure explicitly told otherwise.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 16 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0.2-1mdv2008.0
+ Revision: 64267
- new upstream release: 1.0.2


* Fri Nov 17 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0.1-6mdv2007.0
+ Revision: 85372
- added missing icons

* Sat Sep 02 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0.1-5mdv2007.0
+ Revision: 59482
- rebuild to fix libXaw.so.8 dependency
- rebuild to fix cooker uploading
- Rebuild against new libXaw packages
- increment release
- Adding X.org 7.0 to the repository

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fill in missing description & summaries

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

